/**
* Nesse exemplo a interface da classe esta separada da implementacao
* o arquivo TicketMachine.h contem os prototipos dos metodos
* o arquivo TicketMachine.cc contem a implementacao
* 
* para compilar, precisamos incluir o arquivo TicketMachine.cc
* g++ TicketMachine.cc teste01.cc -o teste01
*/

#include "TicketMachine.h"
#include <stdio.h>

int main (int argc, char *argv[]) {

  // escopo  
  {
   TicketMachine *t1; //, *t2, *t3;
   
   t1 = new TicketMachine(15);
   t1->insertMoney(15);
   t1->print();
   
   delete t1;
  }
  
  printf("Ultima linha dentro da main\n");
   
//    t2 = new TicketMachine(1000.0f);
//    t2->insertMoney(100);
//    t2->print();

   return 0;
}