#include "TicketMachine.h"
#include <stdio.h>

TicketMachine::TicketMachine() {
   price=5;
   credit=0;
   total=0;
   printf("\nOla, construtor 1\n");
}  

TicketMachine::TicketMachine(double initprice) {
   price= initprice;
   credit=0;
   total=0;
   printf("\nOla, construtor 2\n");
}  

TicketMachine::~TicketMachine() {
   printf("\nDestrutor da classe\n");
}  

void TicketMachine::setPrice(double value) {
   if (value > 0)
      price = value;
}  

void TicketMachine::insertMoney(double value) {
   if (value > 0)
      credit += value;
}

double TicketMachine::getPrice() {
  return price;
}

double TicketMachine::getCredit() {
  return credit;
}

void TicketMachine::print() {
  if (credit >= price) {
    printf("****************************\n");
    printf("* Bilhete para a festa ABCD\n");
    printf("* Valor pago: %lf\n", price);
    printf("****************************\n");
    credit = credit-price;
    total += price;
  }
  else {
    printf("Valor inserido insuficiente.\n");
    printf("E' preciso inserir mais %lf\n", price-credit);
  }
}
